> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 動画タスクステータスの取得

> OpenAI に対応した動画タスク状態照会 API です。

ビデオタスクの詳細なステータス情報を返します。



## OpenAPI

````yaml api-reference/ja/openapi.json GET /v1/videos/{task_id}
openapi: 3.0.0
info:
  title: 出海营 API 参考ドキュメント
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI形式(Chat)
  - name: OpenAI形式（Responses）
  - name: 画像生成Gemini形式
  - name: 画像生成OpenAI DALL-E形式
  - name: モデル一覧の取得
  - name: 動画生成HappyHorseとWan
  - name: 動画生成Kling形式
  - name: 動画生成OmniとVeo形式
  - name: Video generation Seedance
  - name: 動画生成Sora対応形式
  - name: Video generation Vidu
  - name: 音楽生成タスクの形式
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - 動画生成Sora対応形式
      summary: 動画タスクステータスの取得
      description: |-
        OpenAI に対応した動画タスク状態照会 API です。

        ビデオタスクの詳細なステータス情報を返します。
      operationId: getVideo
      parameters:
        - name: task_id
          in: path
          description: ビデオタスク ID
          required: true
          example: sora-2-123456
          schema:
            type: string
      responses:
        '200':
          description: 動画タスクのステータスを取得しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  created_at:
                    type: integer
                  seconds:
                    type: string
                  video_url:
                    type: string
                    format: uri
                    description: 動画結果のURLです。モデルによって `video_url` または `url` のいずれか一方が返されます。
                  url:
                    type: string
                    format: uri
                    description: 動画結果のURLです。モデルによって `url` または `video_url` のいずれか一方が返されます。
                  completed_at:
                    type: integer
                    description: 完了時間（Unix秒）。
                  expires_at:
                    type: integer
                    description: 結果の有効期限（Unix秒）。
                  error:
                    type: object
                    description: 失敗時のエラーメッセージ。
                  metadata:
                    type: object
                    description: 追加のメタデータ。
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
              example:
                id: sora-2-123456
                object: video
                model: sora-2
                status: queued
                progress: 0
                created_at: 1764347090922
                seconds: '8'
          headers: {}
        '404':
          description: タスクが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: エラーメッセージ
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ
              nullable: true
            code:
              type: string
              description: エラーコード
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Bearer Token を使用して認証します。
        形式: `Authorization: Bearer sk-xxxxxx`

````